package com.sundot.airport.system.domain;

import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 动态sql执行config对象 sys_dynamic_sql
 *
 * @author ruoyi
 * @date 2025-06-20
 */
public class SysDynamicSql extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long id;

    /**
     * sql key
     */
    @Excel(name = "sql key")
    private String sqlKey;

    /**
     * 内容
     */
    @Excel(name = "内容")
    private String sqlContent;

    /**
     * 说没
     */
    @Excel(name = "说没")
    private String description;

    /**
     * 参数配置
     */
    @Excel(name = "参数配置")
    private String paramsConfig;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setSqlKey(String sqlKey) {
        this.sqlKey = sqlKey;
    }

    public String getSqlKey() {
        return sqlKey;
    }

    public void setSqlContent(String sqlContent) {
        this.sqlContent = sqlContent;
    }

    public String getSqlContent() {
        return sqlContent;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setParamsConfig(String paramsConfig) {
        this.paramsConfig = paramsConfig;
    }

    public String getParamsConfig() {
        return paramsConfig;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("sqlKey", getSqlKey())
                .append("sqlContent", getSqlContent())
                .append("description", getDescription())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("paramsConfig", getParamsConfig())
                .toString();
    }
}
